title: Übersicht
path: overview
icon: "mdi:tablet-dashboard"
cards:

  - type: vertical-stack
    cards:
    - type: custom:weather-card
      name: Wetter
      entity: weather.openweathermap
      icons: "/local/lovelace/custom/weather-card/icons/"
#    - type: iframe
#      url: !secret iframe_windy
#      aspect_ratio: 75%
#    - type: iframe
#      url: !secret iframe_earth
#      aspect_ratio: 75%

  - type: conditional
    conditions:
      - entity: binary_sensor.workday_sensor
        state: "on"
      - entity: binary_sensor.morning
        state: "on"
    card:
      type: entities
      title: Nächste Bahn nach Münster
      show_header_toggle: false
      entities:
        - entity: sensor.salzbergen_to_munster_hbf
          name: Abfahrt

  - type: custom:battery-state-card
    title: "Batterie Warnung"
    sort_by_level: "asc"
    filter:
      include:
        - name: entity_id
          value: "*_battery_level"
        - name: attributes.device_class
          value: battery
        - name: attributes.battery_level
          operator: "exists"
      exclude:
        - name: state
          operator: "matches"
          value: "/charging|discharging/i"
        - name: entity_id
          operator: "matches"
          value: "/samsung|pixel/i"
        - name: state
          operator: ">"
          value: 5
        - name: attributes.friendly_name # require a friendly_name
          operator: "="
          value: 
        - name: attributes.friendly_name
          operator: "matches"
          value: "/vibration/i"  # is almost empty but unused, not important here in this view
    bulk_rename:
      - from: "Batterie"
      - from: "Battery"
      - from: "Power"

  - type: vertical-stack
    cards:
      - type: glance
        title: Anwesenheit
        entities:
          - person.florian
          - person.jenny
      - type: map
        aspect_ratio: 60%
        entities: 
          - device_tracker.sm_g985f
          - device_tracker.pixely